# vue-image-annotator

![](./docs/images/polygon.jpg)

![](docs/images/bounding_box.jpg)

## Install

```bash
yarn add vue-image-annotator
```

## Usage

```typescript
import { VSegmentation } from 'vue-image-annotator'

<v-segmentation
  :image-url="imageUrl"
  :labels="labels"
  :polygons="polygons"
  :selected-label="selectedLabel"
  :scale="scale"
  @add-polygon="addPolygon"
  @delete-polygon="deletePolygon"
  @update-polygon="updatePolygon"
  @select-polygon="selectPolygon"
  @update-scale="updateScale"
/>
```

## Project setup

```bash
yarn install
```

### Compiles and hot-reloads for development

```bash
yarn serve
```

### Compiles and minifies for production

```bash
yarn build
```

### Run your unit tests

```bash
yarn test:unit
```

### Lints and fixes files

```bash
yarn lint
```
